#include <iostream>
#include "ScReader.h"

int main()
{
  std::cout << ScReader::establishContext() << std::endl;
  auto readers = ScReader::getReaders();
  for (auto reader : readers)
  {
    std::cout << reader->getName() << " ";
    std::cout << reader->connect() << " ";
    std::cout << reader->disconnect();
    std::cout << std::endl;
  }
  std::cout << ScReader::freeContext() << std::endl;
  return 0;
}
